#!/usr/bin/perl

# Copyright 2008, 2009 Kevin Ryde

# This file is part of libgt-perl.
#
# libgt-perl is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# libgt-perl is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with libgt-perl.  If not, see <http://www.gnu.org/licenses/>.

use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile
  (NAME         => 'GeniusTrader',
   VERSION      => '20120714',
   PMLIBDIRS    => [ 'GT' ],
   PREREQ_PM    => {
                    'Date::Calc'     => 0,
                    'Getargs::Long'  => 0,
                    'XML::LibXML'    => 0,
                    'Compress::Zlib' => 0,
                    'Storable'       => 0,
                   },
   LICENSE      => 'gpl',
   # clean        => { FILES => [ ] },
  );

#------------------------------------------------------------------------------
package MY;
sub postamble {
  my ($makemaker) = @_;
  return <<'HERE';

# ...

HERE
}
